<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.cool.store.mapper.TRTCVideoCallBackMapper">

    <update id="addVideoUrl">
        UPDATE hy_partner_interview
            SET process_info = IF(process_info IS NULL, #{videoUrl}, CONCAT(process_info, ',' ,#{videoUrl}))
                WHERE interview_plan_id = (
                    SELECT id
                    FROM hy_partner_interview_plan
                    WHERE room_id = #{roomId}
            )
    </update>
</mapper>